var pltsPop=null;
var pltsoffsetX = 10;   // 弹出窗口位于鼠标左侧或者右侧的距离；3-12 合适
var pltsoffsetY = 15;  // 弹出窗口位于鼠标下方的距离；3-12 合适
var pltsPopbg="#FFFFFF"; //背景色
var pltsPopfg="#111111"; //前景色
var pltsTitle="";
document.write('<div id=pltsTipLayer style="display: none;position: absolute; z-index:10001"></div>');
var _pltsTipLayer=document.getElementById("pltsTipLayer");
function pltsinits()
{
    document.onmouseover   = plts;
    document.onmousemove = moveToMouseLoc;
}
function plts()
{   var o=event.srcElement;
    if(o.alt!=null && o.alt!=""){o.dypop=o.alt;o.alt=""};
    if(o.title!=null && o.title!=""){o.dypop=o.title;o.title=""};
    pltsPop=o.dypop;
    if(pltsPop!=null&&pltsPop!=""&&typeof(pltsPop)!="undefined")
    {
       _pltsTipLayer.style.left=-1000;
       _pltsTipLayer.style.display='';
       var Msg=pltsPop.replace(/\n/g,"<br>");
       Msg=Msg.replace(/\0x13/g,"<br>");
       var re=/\{(.[^\{]*)\}/ig;
       if(!re.test(Msg))pltsTitle=o.innerHTML+"-- 预览图";
       else{
          re=/\{(.[^\{]*)\}(.*)/ig;
          pltsTitle=Msg.replace(re,"$1")+"&nbsp;";
          re=/\{(.[^\{]*)\}/ig;
          Msg=Msg.replace(re,"");
          Msg=Msg.replace("<br>","");
       }   
        var attr=(document.location.toString().toLowerCase().indexOf("list.asp")>0?"nowrap":"");
        var content =
       '<table style="FILTER:alpha(opacity=90) shadow(color=#bbbbbb,direction=135);" id=toolTipTalbe border=0><tr><td style="width: 280px; word-wrap: break-word "><table style="background:#C7D8FC" cellspacing=1 cellpadding=0 border=0 width=280 style="font-size:12px">'+
       '<tr id=pltsPoptop><th height=18 valign=bottom><b><p id=topleft align=left>↖'+pltsTitle+'</p><p id=topright align=right style="display:none">'+pltsTitle+'↗</font></b></th></tr>'+
       '<tr><td "+attr+"  style="background:#EFF4FE;padding-left:14px;padding-right:14px;padding-top: 6px;padding-bottom:6px; line-height: 18px; word-break:break-all;">'+Msg+'</td></tr>'+
       '<tr id=pltsPopbot style="display:none"><th height=12 valign=bottom><b><p id=botleft align=left>↙'+pltsTitle+'</p><p id=botright align=right style="display:none">'+pltsTitle+'↘</font></b></th></tr>'+
       '</table></td></tr></table>';
        pltsTipLayer.innerHTML=content;
        document.getElementById("toolTipTalbe").style.width=Math.min(_pltsTipLayer.clientWidth,document.body.clientWidth/2.2);
        moveToMouseLoc();
        return true;
       }
    else
    {
       _pltsTipLayer.innerHTML='';
       _pltsTipLayer.style.display='none';
        return true;
    }
}

function moveToMouseLoc()
{
if(_pltsTipLayer.innerHTML=='')return true;
var MouseX=event.x;
var MouseY=event.y;
//window.status=event.y;
var popHeight=_pltsTipLayer.clientHeight;
var popWidth=pltsTipLayer.clientWidth;
var _topleft=document.getElementById("topleft")
var _botleft=document.getElementById("botleft");
var _topright=document.getElementById("topright");
var _botright=document.getElementById("botright");
var _pltsPoptop=document.getElementById("pltsPoptop");
var _pltsPopbot=document.getElementById("pltsPopbot");
if(MouseY+pltsoffsetY+popHeight>document.body.clientHeight)
{
   // popTopAdjust=-popHeight-pltsoffsetY*1.5;
     popTopAdjust=0;
    _pltsPoptop.style.display="none";
    _pltsPopbot.style.display="";
}
  else
{
     popTopAdjust=0;
    _pltsPoptop.style.display="";
    _pltsPopbot.style.display="none";
}
if(MouseX+pltsoffsetX+popWidth>document.body.clientWidth)
{
  popLeftAdjust=-popWidth-pltsoffsetX*2;
  _topleft.style.display="none";
  _botleft.style.display="none";
  _topright.style.display="";
  _botright.style.display="";
}
else
{
  popLeftAdjust=0;
  _topleft.style.display="";
  _botleft.style.display="";
  _topright.style.display="none";
  _botright.style.display="none";
}
  document.getElementById("pltsTipLayer").style.left=MouseX+pltsoffsetX+document.body.scrollLeft+popLeftAdjust;
   document.getElementById("pltsTipLayer").style.top=MouseY+pltsoffsetY+document.body.scrollTop+popTopAdjust;
   return true;
}
pltsinits();